{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
  {{block.super}}
  <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
  <link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">

{% block content %}

<form method="POST" >
  {% csrf_token %}

<section class="content-header customer_content_header">
      <h1>
        Admin Dashboard
        <small>Version 2.0</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Dashboard</li>
      </ol>
    </section>

<section class="content">
      <!-- Info boxes -->
      <div class="row">
      <a href='/transactions/order_head/outstanding/?dealer_id={{request.user.id}}' style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="ion ion-ios-gear-outline"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Outstanding</span>
              <span class="info-box-number"><i class="fa fa-inr" aria-hidden="true"></i> {{outstanding}}<!-- <small>%</small> --></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        </a>
        <!-- /.col -->
        <a href="/transactions/order_head/Process/?dealer_id={{request.user.id}}" style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-red"><i class="fa fa-google-plus"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Active Orders</span>
              <span class="info-box-number"><i class="fa fa-first-order" aria-hidden="true"></i> {{orderheadactive}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        </a>
        <!-- /.col -->

        <!-- fix for small devices only -->
        <div class="clearfix visible-sm-block"></div>
        {% comment %} <a href="{% url 'dealer_profile' request.user.id %}" style="color:black"> {% endcomment %}
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-green"><i class="ion ion-ios-cart-outline"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Monthly Target</span>
              <span class="info-box-number"><i class="fa fa-inr" aria-hidden="true"></i> {{objdst.monthly_target__sum}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        {% comment %} </a> {% endcomment %}
        <!-- /.col -->
        <a href="{% url 'productlist' %}" style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-yellow"><i class="ion ion-ios-people-outline"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">New Products</span>
              <span class="info-box-number"><a href="#">{{product}}</a></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        <a>
        <!-- /.col -->
      </div>
      <!-- /.row -->
      <div class="row">
        <div class="col-md-12">
          <div class="box">
            <div class="box-header with-border">
              <h3 class="box-title">Monthly Recap Report</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <div class="btn-group">
                  <button type="button" class="btn btn-box-tool dropdown-toggle" data-toggle="dropdown">
                    <i class="fa fa-wrench"></i></button>
                  <ul class="dropdown-menu" role="menu">
                    <li><a href="#">Action</a></li>
                    <li><a href="#">Another action</a></li>
                    <li><a href="#">Something else here</a></li>
                    <li class="divider"></li>
                    <li><a href="#">Separated link</a></li>
                  </ul>
                </div>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="row">
                <div class="col-md-12">
<div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Latest Orders</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <!-- /.box-header -->
            
              
            
            <div class="box-body">
              <div class="table-responsive">
                  {% if orderhead %}
                <table class="table no-margin">
                  <thead>
                  <tr>
                    <th>Order No</th>
                    <th>Value</th>
                    <th>Status</th>
                    <th>SR</th>
                    <th>SR Contact</th>
                  </tr>
                  </thead>
                  <tbody>
                    
                    {% for obj in orderhead %}
                  <tr>
                    <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.order_number}}</a></td>
                    <td>{{obj.total_amount}}</td>
                    <td><span class="label label-info">{{obj.status}}</span></td>
                    <td>
                      {{obj.sr_id.first_name}}
                    </td>
                    <td>
                      {{obj.sr_id.mobile}}
                    </td>
                  </tr>
                  {% endfor %}
                  </tbody>
                </table>
                {% else %}
                <span>Data Not Found!!!</span>
                {% endif %}
              </div>
              <!-- /.table-responsive -->
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix">
              <a href="{% url 'productlist' %}"  class="btn btn-sm btn-info btn-flat pull-right">Place New Order</a>
              <a href="javascript:void(0)" style="display: none;" class="btn btn-sm btn-default btn-flat pull-left">View All Orders</a>
            </div>
            <!-- /.box-footer -->
          </div>
                  <!-- /.chart-responsive -->
                </div>

                <!-- /.col -->
                {% comment %} <div class="col-md-12">
                  <p class="text-center">
                    <strong>Monthly target</strong>
                  </p>
                  {% for target in get_target %}
                  {%if 'AV' in target.category %}
                  <div class="progress-group">
                    <span class="progress-text">{{target.category}}</span>
                    <span class="progress-number"><b>{{target.complete_target}}</b>/{{target.monthly_target}}</span>

                    <div class="progress sm">
                      <div class="progress-bar progress-bar-aqua" style="width: {{target.percent}}%"></div>
                    </div>
                  </div>
                  {%endif%}
                  <!-- /.progress-group -->
                  {%if 'HA' in target.category %}
                  <div class="progress-group">
                    <span class="progress-text">{{target.category}}</span>
                    <span class="progress-number"><b>{{target.complete_target}}</b>/{{target.monthly_target}}</span>

                    <div class="progress sm">
                      <div class="progress-bar progress-bar-red" style="width: {{target.percent}}%"></div>
                    </div>
                  </div>
                  {%endif%}
                  <!-- /.progress-group -->
                  {%if 'BA' in target.category %}
                  <div class="progress-group">
                    <span class="progress-text">{{target.category}}</span>
                    <span class="progress-number"><b>{{target.complete_target}}</b>/{{target.monthly_target}}</span>

                    <div class="progress sm">
                      <div class="progress-bar progress-bar-green" style="width: {{target.percent}}%"></div>
                    </div>
                  </div>
                  {%endif%}
                  {%endfor%}
                  <!-- /.progress-group -->

                  <!-- /.progress-group -->
                </div> {% endcomment %}
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
            <!-- ./box-body -->

            <!-- /.box-footer -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>

      <!-- /.row -->

      <!-- Main row -->

      <!-- /.row -->
    </section>
   

  </form>

{% endblock %}

{% block extra_script_block %}
  {{block.super}}
  <script src="{% static 'js/product_list.js' %}"></script>
{% endblock %}
